Subject: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Jun 2015 12:12:48 +0300

> Date: Fri, 12 Jun 2015 13:57:26 -0700
> From: Paul Eggert <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, 
>  Vasilij Schneidermann <[email-masked]>,
>  Andy Moreton <[email-masked]>
> 
> src/emacs -Q -font 
> -misc-fixed-medium-r-semicondensed--0-0-75-75-c-0-iso8859-1
> 
> and then by typing:
> 
> abc C-x 8 [ def C-x 8 ] ghi
> 
> This inserts "abc‘def’ghi" into *scratch*.  The display looks like "abc  
> ‘def’  ghi" with huge spaces around the quotes (see attached 
> screenshot).  There are similar problems with many other characters.  
> Apparently this is because I don't have the Symbola font installed, so 
> the change caused Emacs to fall back on Chinese double-width quotes 
> rather than on the font it used before (which is -misc-liberation 
> serif-medium-r-normal--13-94-100-100-p-74-iso10646-1 for the above 
> invocation of Emacs).

Please tell the exact spec of the font with Chinese double-width
quotes Emacs selected on that system (like you show above for the
Liberation Serif font).  Also, please send (as an attachment) the
entire contents of the *Help* buffer produced by "M-x describe-fontset
RET RET" on that system.  I'd like to see what can be done to avoid
that, even if Symbola is not installed.

Thanks.